Subject: Re: [PATCH 03/12] net: igb: avoid using timespec

From: Richard Cochran <[email-masked]>
Date: Fri, 2 Oct 2015 09:47:16 +0200

On Thu, Oct 01, 2015 at 10:01:57PM +0200, Arnd Bergmann wrote:
> I tried to use this pattern whenever I convert the 64-bit 'long long'
> tv_sec member of 'struct timespec64' into a 32-bit number, to annotate
> the loss of range.

Sounds reasonable to me.
 
> I have thought about defining separate helpers like this
...
> This would make it even more explicit, but my fear was that I was
> adding too much complexity like that.

I think a cast plus a comment when needed is clear enough.

Thanks,
Richard
_______________________________________________
Y2038 mailing list
[email-masked]
https://lists.linaro.org/mailman/listinfo/y2038